ELMALERT(1)

NAME
elmalert - Alert when a license becomes available or will expire

SYNOPSIS
elmalert [ -a -b # -e dir -f -h host -m -o percentage -p -u user -v -x days ] features...

DESCRIPTION
Elmalert provides a notification when licenses become available to you or are close to expiration. The command checks the availability/expiration of licenses, and, at your option, either sends mail or prints a message to the screen with the requested information.

Elmalert may be used if the licensed application does not implement license queuing, or if it is more convenient to receive notification this way. It also may be used by users or system administrators to track license expiration. For example, an administrator can request notification when licenses are within two weeks of expiration.

Normally, you will be notified when each feature mentioned on the command line is available. With the -x option, expiration, rather than availability, is checked. The -a option may be used to only alert you when all of the licenses are available or will expire.

The options -m, -p, and -v control what and where elmalert sends its information. More than one may be used at a time. For example, use of -p and -m causes printing to the screen and mailing. The default option -p is assumed if none of these three are specified.

OPTIONS

-a  All. If multiple features are named on the command line and the -a option is used, notification will only occur when all the licenses mentioned meet the requested condition — are available or will expire in under the -x specified days. Without the -a option, notification will occur for each feature individually.

-b #
    When used with the -f option, check every # seconds, instead of the default 60 seconds.

-e dir
    Tell elmalert that the key directory is dir, instead of the default /usr/lib/elm.

-f  Forever. Normally, elmalert checks for the condition once, then exits. With -f, elmalert runs until the condition is met.

    Under the -f option, once you are notified about a feature, the feature is removed from the checklist. When you have been notified of all feature licenses, elmalert exits.

-h mailhost
    Specify the host name that supports SMTP mail forwarding. If unspecified, the current host is used.

-m  Mail. Mail is sent to the invoker's user name, or the name set via the -u option, if used. This option will only work on systems with an SMTP (Simple Mail Transfer Protocol) service. (See -h option above.)

-o #
    Occupancy monitoring. If the number of licenses in use divided by the total number available reaches or exceeds #%, then you will be notified. Thus, ``-o 80'' warns when license usage has reached 80%. And, ``-o 100'' warns when no more licenses are available. If a feature has a soft limit, the soft limit will be used in the calculation.

-p  Print. Information is printed to the screen (stdout) when the license(s) become available or will expire. This option is the default, but you may wish to use it with -m to indicate both printing to screen and mail.

-u user
    Set the recipient to user for the mail (-m) option.

-v  Verbose. Print information about the status of the license(s).

-x days
    Without -x, or -o, elmalert will notify when licenses become available. If -x is used, notification is instead made if the feature will expire within the specified number of days.

EXAMPLES

Send me mail when a license for the feature dorothy becomes available:

elmalert -f -m dorothy &

Send ``scott'' mail if the license for the feature dorothy is within two weeks of expiration.

elmalert -m -u scott -x 14 dorothy

FILES
/usr/lib/elm — default key file directory.

SYS$SYSDEVICE:[ELM] — default key file directory.

SEE ALSO
elmusage(1), elmrpt(1), elmadmin(1).